Name:           fyre
Version:        1.0.1
Release:        4%{?dist}
Summary:        Tool for creating artwork from chaotic functions

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://fyre.navi.cx/
Source0:        http://flapjack.navi.cx/releases/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}-cluster.init
Source2:        %{name}.config
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel
BuildRequires:	gnet2-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	desktop-file-utils
BuildRequires:	shared-mime-info

Requires(post): desktop-file-utils
Requires(post):	shared-mime-info
Requires(post):	/sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): desktop-file-utils
Requires(postun): shared-mime-info


%description
Fyre is a tool for producing computational artwork based on histograms of
iterated chaotic functions. At the moment, it implements the Peter de Jong map
in a fixed-function pipeline with an interactive GTK+ frontend and a command
line interface for easy and efficient rendering of high-resolution, high
quality images.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/fyre-cluster
install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/fyre


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:
/sbin/chkconfig --add fyre-cluster
/sbin/service fyre-cluster condrestart >> /dev/null


%preun
if [ $1 = 0 ]; then
	/sbin/service fyre-cluster stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del fyre-cluster
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-%{name}-animation.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_initrddir}/fyre-cluster
%config(noreplace) %{_sysconfdir}/sysconfig/fyre

%changelog
* Mon Oct 15 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.0.1-4
- Rebuild for new OpenEXR-devel.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.0.1-3
- Rebuild.

* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.0.1-2
- Update license tag.

* Tue Oct 10 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1.
- Scriptlet cleanup.
- Drop app patch.

* Mon Sep 18 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.0.0-15
- rebuilt due to broken depends.

* Wed Sep 06 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.0.0-14
- rebuild for FC6

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-13
- Rebuild for Fedora Extras 5

* Tue Jan 17 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-12
- Move chkconfig and service to %%preun (#178129)

* Thu Dec  1 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-11
- Fix NLS in initscript

* Thu Aug 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-10
- Rebuild for new Cairo

* Fri Jul  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-9
- Added restart definition to initscript (#161008)

* Thu May 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-8
- Marked config file

* Wed May 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-7
- Added initscript for clustering

* Tue May 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-6
- Re-enabled OpenEXR and GNet

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Mar 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-4
- Disabled OpenEXR and GNet in %%configure
- Removed gtk2-devel from BuildRequires

* Fri Mar 25 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-3
- Removed NEWS
- Added || : to %%post* commands

* Thu Mar 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-2
- Summary and %%post/%%postun changes

* Thu Mar 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-1
- Initial RPM release.
